server:
  port: 8099
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600
myapps:
  this: #本服务外网访问ip
    ip: 65.26.107.123
  domain:
    url: http://65.26.107.123/obpm
  storage:
    root: /data/v5-runing/storage
  addin: #测试湖南【ESAPro电子印章系统】控件下载地址
    exe: http://65.26.106.178:8020/uess/help/client.zip
  signature:
    #签章
    enable: false
    #公安政务外网
    api:
    scheduled:
      #定期背筛定时器隔，1分钟执行一次
      timing: "-"
      #定期背筛每次执行取值天数
      timing-day: 5
      #定期背筛每次执行数量
      timing-count: 300
      #新入职员工背筛定时器，1分钟执行一次
      induction: "-"
spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://65.26.107.91:3306/security_flow?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: root
    password: Bcx@20220316

mybatis-plus:
  mapper-locations: classpath:mybatis/*Mapper.xml
  configuration:
    cache-enabled: false
    use-generated-keys: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # 字段名称下划线转驼峰命名
    map-underscore-to-camel-case: true

# 日志
logging:
  level:
    com:
      bcxin:
        backend: info
  config: classpath:logback-spring.xml

log:
  # 日志是否上传
  posh: false
  # 日志存放目录
  path: /data/logs
  # 日志打印级别  默认 info
  level: info
  # 是否控制台输出，默认true
  stdout: true
